<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <meta charset="UTF-8">
    <title>My Profile</title>

    <style>

        body {
            background-color: #555;
        }

        .navbar-fixed {
            position: absolute;
            z-index: 999999999;
        }


        tr th {
            margin-left: 5rem;
            margin-right: 5rem;
        }

        .background {

            position: absolute;
            width: 100%;
            height: 100%;
            background-image: url("https://abali.ru/_d/2013/05/siniy_goluboj_fon_1920x1080.jpg");
        }

        .foreground {
            backdrop-filter: blur(10px);
            margin-left: 10rem;
            margin-right: 10rem;
            margin-top: 5rem;
        }

        aside {
            position: relative;
            padding: 5rem 1.5rem 5rem 1.5rem;
            font-size: 1.125rem;
            font-weight: 600;
            max-width: 100%;
            border-top: 4px solid;
            border-left: 4px solid;
            border-bottom: 4px solid;
            border-image-slice: 1;
            border-image-source: linear-gradient(90deg, #14b1ab, transparent);
        }

        .brand-logo {
            position: absolute;
            left: 0px;
            top: -100%;
        }

        ::placeholder {
            color: black;

        }
    </style>
</head>


<body>
<div class="wrapper">

    <div class="background">

        <div class="navbar-fixed">
            <nav class="transparent z-depth-0">
                <div class="nav-wrapper">
                    <!--        <a href="#!" class="brand-logo"><img src="logo/logo.png" ></a>-->
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                    <ul class="right hide-on-med-and-down">
                        <li><a th:href="@{/}" href="index.html">Home</a></li>
                        <li><a th:href="@{/forms}" href="formPage.html">Forms and Offers</a></li>
                        <li sec:authorize="isAuthenticated()"><a th:href="@{/my-profile}" href="my-profile.html">My
                            Profile</a></li>
                        <li><a th:href="@{/edit-profile}" href="editUser.html">Edit Profile</a></li>

                        <li sec:authorize="hasRole('ROLE_ADMIN')">
                            <form th:action="@{/administrator}" method="get">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Admin">Admin
                                    Portal
                                </button>
                            </form>
                        </li>

                        <li sec:authorize="isAuthenticated()">
                            <form th:action="@{/logout}" method="post">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Logout">Logout!
                                </button>
                            </form>
                        </li>

                        <button class="btn waves-effect waves-light col s4" sec:authorize="!isAuthenticated()"
                                onclick="window.location='/login'" value="Login">Login!
                        </button>

                    </ul>
                </div>
            </nav>
        </div>


        <div class="foreground">


            <aside>


                <table style="width:100% " class="policy-table box glowing">
                    <thead>
                    <tr>
                        <th>Policy Id</th>
                        <th>Start Date</th>
                        <th>Status</th>
                        <th></th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="policy : ${policies}">
                        <th th:text="${policy.id}"></th>
                        <th th:text="${policy.startDate}"></th>
                        <th th:text="${policy.status}"></th>
                        <th>
                            <a class="waves-effect waves-light btn modal-trigger" href="#modal1"
                               th:attrappend="href=${policy.id}">Details</a>


                            <div id="modal1" class="modal modal-fixed-footer" th:attrappend="id=${policy.id}">
                                <div class="modal-content">
                                    <label>First Name:</label>
                                    <p th:text="${policy.getOwner().firstName}"></p>
                                    <label>Last Name:</label>
                                    <p th:text="${policy.getOwner().lastName}"></p>
                                    <label>Phone Number:</label>
                                    <p th:text="${policy.getOwner().phone}"></p>
                                    <label>Address:</label>
                                    <p th:text="${policy.getOwner().address}"></p>
                                    <label>City:</label>
                                    <p th:text="${policy.getOwner().getCity().name}"></p>
                                    <label>Your Age:</label>
                                    <p th:text="${policy.getSimulationForm().driverAge}"></p>
                                    <label>Car Cubic Capacity:</label>
                                    <p th:text="${policy.getSimulationForm().cubicCapacity}"></p>
                                    <label>First Registration Date:</label>
                                    <p th:text="${policy.getSimulationForm().firstRegistrationDate}"></p>
                                    <label>Car Model</label>
                                    <p th:text="${policy.getSimulationForm().getModel().getMake().title} + ' '+ ${policy.getSimulationForm().getModel().title}"></p>
                                    <label>Accidents:</label>
                                    <p th:text="${policy.getSimulationForm().accidents}"></p>
                                    <label>Total Price:</label>
                                    <p th:text="${policy.getSimulationForm().totalPrice}+' BGN'"></p>


                                </div>
                                <div class="modal-footer">
                                    <a href="#!" class="modal-close waves-effect waves-green btn-flat">Agree</a>
                                </div>
                            </div>


                        </th>


                        <th>
                            <form th:action="@{/policy/cancel/{id}(id=${policy.id})}" method="post">
                                <button class="btn waves-effect waves-light" id="cancel" type="submit" name="action">
                                    Cancel!
                                </button>
                            </form>
                        </th>

                    </tr>
                    </tbody>

                </table>

            </aside>
        </div>
    </div>
</div>


<script>
    (function ($) {
        $(function () {
            $('.modal').modal();
        });
    })(jQuery);

</script>
</body>
</html>